TDB_CHAINLOCK(3)

NAME
tdb_chainlock - lock a group of keys tdb_chainunlock - unlock a previously locked group of keys

SYNOPSIS
#include <tdb.h>

int tdb_chainlock(TDB_CONTEXT *tdb, TDB_DATA key);
void tdb_chainunlock(TDB_CONTEXT *tdb, TDB_DATA key);

DESCRIPTION
tdb_chainlock is a low-level function used to lock a particular key (and a number of other keys) without any checking: any other process attempting to perform tdb operations on those keys will block until tdb_chainunlock is called.

NOTES
It is the user's responsibility to ensure that they do not deadlock the database using these functions: something which is impossible using the other access functions.

RETURN VALUE
A return value of 0 indicates success and -1 indicates failure.

AUTHORS
Software: Andrew Tridgell <tridge@linuxcare.com> Man page: Rusty.

SEE ALSO
gdbm(3), tdb(3), tdb_lockall(3).